/* --------------------------------

Julian Stanczak
Author: Liz Hunt & James Waite
Last Updated: September 2021 (Waite), January 2024 (Hunt), 

-------------------------------- */

/* Global */
body {
    background-color: #fff;
    color: #212121;
    font-family: 'Helvetica Neue', Arial, sans-serif;
    line-height: 1.6em;
    width: 100%;
}
p {
    margin-bottom: 20px;
}
hr {
    color: #eee;
}
ul {
    list-style-type: none;
}
img {
    display: block;
    margin-bottom: 20px;
    -webkit-box-shadow: 5px 5px 12px -5px rgba(153,153,153,1);
    -moz-box-shadow: 5px 5px 12px -5px rgba(153,153,153,1);
    box-shadow: 5px 5px 12px -5px rgba(153,153,153,1);
    width: 100%;
    height: auto;
}
/* calculate proportional padding for lazy loaded data-src img's */
/*[style*="--aspect-ratio"]*/
[data-src]::before {
  content: "";
  display: block;
  padding-top: calc(100% / (var(--aspect-ratio, 480/480)));
  /*min-height: calc(100% * (var(--aspect-ratio, 480/480)));*/
}

blockquote {
  background: #f9f9f9;
  border-left: 10px solid #ccc;
  font-style: italic;
  margin: 1.5em 10px 2em 10px;
  padding: 0.75em 40px 1.5em 20px;
  /*quotes: "\201C""\201D""\2018""\2019";*/
}
blockquote:before {
  color: #ccc;
  /*content: open-quote;*/
  font-size: 4em;
  line-height: 0.1em;
  margin-right: 0.25em;
  vertical-align: -0.4em;
}
blockquote p {
  display: inline;
}
figcaption {
    color: #999;
    font-style: oblique;
    font-size: .9em;
    line-height: 1.5em;
    margin-bottom: 40px;
}

/* Layout */
.row {
    margin: 0 auto 2rem auto;
    /*max-width: 960px;*/
}

.blue { color: #fd5914; }

.border-shadow {
    -webkit-box-shadow: 5px 5px 12px -5px rgba(153,153,153,1);
    -moz-box-shadow: 5px 5px 12px -5px rgba(153,153,153,1);
    box-shadow: 5px 5px 12px -5px rgba(153,153,153,1);
}

.clearfix,
.clearfix:after {
  content: "";
  display: table;
  clear: both;
}

.display-block { display: block; }

.float-left  { float: left; }
.float-right { float: right; }

.full-width { width: 100%; }

.hidden { display: none; }

.margin-auto { margin-left: auto; margin-right: auto;}
.no-margin   { margin: 0; }
.no-margin-left { margin-left: 0; }
.no-margin-right { margin-right: 0; }

.padding-top-twenty { padding-top: 20px; }
.padding-bottom-twenty { padding-bottom: 20px; }
.padding-left-twenty { padding-left: 20px; }
.padding-right-twenty { padding-right: 20px; }

.padding-eighty { padding: 80px; }
.padding-top-eighty { padding-top: 80px; }
.padding-bottom-eighty { padding-bottom: 80px; }

.position-relative { position: relative; }
.position-absolute { position: absolute; }
.position-fixed { position: fixed; }

.text-align-left   { text-align: left; }
.text-align-center { text-align: center; }
.text-align-right  { text-align: right; }


/* Main, Mobile First */
.header {
    background-color: #fff;
    border-bottom: 1px solid #ccc;
    margin-bottom: 2em;
    padding: .3em 0;
    text-align: center;
    width: 100%;
}
.header .logo a {
  color: #333;
}
.main-navigation {
    margin: 0;
    padding: 0;
    overflow: hidden;
}
.main-navigation ul li img {
    display: inline;
    margin: 0;
    padding: 0;
    -webkit-box-shadow: 0;
    -moz-box-shadow: 0;
    box-shadow: none;
}
.main {
    margin: 0 auto;
    width: 100%;
}
.exhibitions p,
.galleries p,
.collections p,
.awards-and-publications p {
    margin-bottom: .5em;
}
.divider {
    border-top: 1px solid #ccc;
    margin-top: 10px;
    padding-top: 15px;
}
.featherlight img {
    box-shadow: none;
}
.information {
    border: 1px solid #f7e5c6;
    margin: 0 0 30px 0;
    padding: 20px 20px 25px 20px;
}
.name {
  font-size: 1.4em;
  font-weight: bold;
  line-height: 1.5em;
}
/*.mailing-list {
    border: 1px solid #ccc;
}*/

#send-form {
    margin-top: 1.5rem;
}


/* Main, Larger than 'Phablet' — grid becomes active */
@media (min-width: 600px) {
    
    /*----------------------------------*/
    /* NEW Sticky Top Navbar */
    .navbar {
      overflow: visible;
      background-color: white;
      z-index: 1000;
      position: fixed; /* Set the navbar to fixed position */
      top: 0; /* Position the navbar at the top of the page */
      width: 100%; /* Full width */
      border-bottom: 1px solid #ccc;
      text-align: center;
      padding: 2rem 0;
    }
    .navbar a {
        text-decoration: none;
    }
    .navbar a:hover {
      color: #fd5914;
    }
    .navbar .row {
        margin: 0 auto 0 auto
    }

    /* Stanczak Logo*/
    .nav-logo {
      display: block;
      margin: 0;
      padding: 0 0 0 2rem;
      font-size: 2.8rem;
    }
    
    /* Dropdown container*/
    .nav-dropdown {
      display: block;
      float: left;
      overflow: hidden;
      margin-top: 0;
    }
    
    /* Dropdown button*/
    .navbar .nav-dropdown {
      float: left;
      display: block;
      color: #fd5914;
      margin: 0 auto;
      padding: 0 0 0 2rem;
      font-size: 1.5rem;
    }
    .nav-dropdown .nav-btn {
      font-size: 100%;
      border: none;
      outline: none;
      color: #fd5914;
      background-color: inherit;
      font-family: inherit; /* Important for vertical align on mobile phones */
      margin: 0; /* Important for vertical align on mobile phones */
    }
    
    /* Change color of dropdown links on hover*/
    .navbar a:hover, .nav-dropdown:hover .nav-btn {
      color: #fd5914;
    }
    
    /* Dropdown content (hidden by default) */
    .nav-dropdown-content {
      display: none;
      position: absolute;
      background-color: #f9f9f9;
      min-width: 120px;
      box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
      z-index: 1001;
    }
    
    /* Links inside the dropdown */
    .nav-dropdown-content a {
      float: none;
      color: #fd5914;
      padding: 12px 16px;
      display: block;
      text-align: center;
    }
    
    .nav-dropdown-content a:hover {
      background: #f9f9f9;
      color: #fd5914;
    }
    
    /* Show the dropdown menu on hover */
    .nav-dropdown:hover .nav-dropdown-content {
      /*overflow: display;*/
      display: block;
    }
    
    /* navbar icon for mobile */
    .navbar .nav-icon {
        display: none;
    }
    
    .navbar div .row :: after {
        margin-bottom: 0;
    }
    /*----------------------------------*/
    .first { padding: 100px 0 20px 0; }

    .header {
        background-color: #fff;
        position: fixed;
        text-align: center;
        width: 100%;
        z-index: 1;
    }
    .header > div {
        margin-bottom: 0;
    }
    .header .logo {
        margin: .3em 0 0 0;
        font-size: 3.2rem;
    }
    .main-navigation {
        text-align: right;
        padding-top: 2rem;
    }
    .main-navigation ul {
        margin: 0;
    }
    .main-navigation ul li {
      display: inline-block;
      margin-right: 1rem;
      padding: 0;
      vertical-align: middle;
    }
    .main-navigation ul li.last {
        margin-right: 0;
    }
    .main {
        padding-top: 6.5em;
    }
    .row .row,
    .row .row .row {
        margin-top: 15px;
        padding: 0;
    }
    .home .custom-padding {
        padding: 40px 120px 80px 120px;
    }
    .life .timeline-section.row {
        padding: 1rem 0;
    }
    .life .timeline-section .columns {
        margin-left: 0;
    }
    .videos iframe {
        width: 280px;
    }
    .file_process {
        margin-top: 8rem;
    }
    .upload-success {
        text-align: center;
        font-size: 24px;
    }
    #foundation-form #send-form:hover {
        text-decoration: none;
        border: none;
        color: white;
        background-color: #fd5914;
    }
    .padding-left {
        padding-left: 2rem;
    }
    .padding-bottom {
        padding-bottom: 2rem;
    }
    .padding-top {
        padding-top: 2rem;
    }
    .section-spacer {
        padding-top: 8rem;
    }
}

/* Mobile 'hamburger' button navbar changes (Also see --> navbar.js) */
@media screen and (max-width: 600px) {
    .navbar .row {margin-bottom: 0;}
    .navbar .row #top-nav-links{
        display: none;
    }
    .navbar .nav-icon {
        position: absolute;
        right: 42px;
        top: 10px;
        font-size: 32px;
    }
    
    .container {
        padding-top: 75px;
    }
    .navbar {
      overflow: visible;
      background-color: white;
      z-index: 1000;
      position: fixed; /* Set the navbar to fixed position */
      top: 0; /* Position the navbar at the top of the page */
      padding: 12px;
      width: 100%; /* Full width */
      border-bottom: 1px solid #ccc;
    }
    .navbar a {
        text-decoration: none;
    }
    .custom-padding {
        padding: 0 4rem; /* Padding for index.php text in mobile */
    }
    .section-spacer {
        padding-top: 8rem; /* Top padding for new Year sections in mobile */
    }
}

/* Responsive class changes */
@media screen and (max-width: 600px) {
    
    .navbar .row #top-nav-links.responsive {display: block;}
    .navbar .row #top-nav-links.responsive .nav-dropdown {float: none;}
    .navbar .row #top-nav-links.responsive .nav-dropdown-content a {
        color: #1EAEDB;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        text-align: center;
    }
    .navbar .row #top-nav-links.responsive .nav-dropdown-content {
        position: relative;
        display: none;
        text-align: center;
        overflow: auto;
    }
    .navbar .row #top-nav-links.responsive .nav-dropdown .nav-btn {
        display: block;
        width: 100%;
        text-align: center;
        /**/
        font-size: 100%;
        border: none;
        outline: none;
        text-decoration: none;
        color: #1EAEDB;
        background-color: inherit;
        font-family: inherit;
    }
    .navbar .row #top-nav-links.responsive .nav-dropdown:hover .nav-dropdown-content {
        display: block;
    }
    .navbar .row #top-nav-links.responsive .nav-dropdown:hover {
        cursor: default;
    }
    .navbar .row .nav-icon-close {
        font-size: 32px;
    }
}

/* File Submit Form changes */
@media screen and (max-width: 600px) {
    input[name="name"] {
        width: 100%;
    }
    input[name="email"] {
        width: 100%;
    }
    textarea[name="message"] {
        width: 100%;
    }
    
    #foundation-form #send-form:hover {
        text-decoration: none;
        border: none;
        color: white;
        background-color: #1EAEDB;
    }
}



